import React, { useState } from 'react'
import Link from "next/link";


const Navbar = () => {

  const [navbar, setNavbar] = useState([
    { name: 'บัตรเครดิต', path: '/home' },
    { name: 'สินเชื่อบุคคล', path: '/home' },
    { name: 'โปรโมชั่น', path: '/home' },
    { name: 'ธุรกิจร้านค้า', path: '/home' },
    { name: 'บริการท่องเที่ยว', path: '/home' },
    { name: 'ช้อปสินค้าออนไลน์', path: '/home' },
    { name: 'บริการลูกค้า', path: '/home' }
  ])

  return (
    <>
      <nav className="bg-black ">
        <div className="max-w-screen-xl flex flex-wrap items-center justify-between mx-auto p-4">

          <Link href="/home" className="flex items-center space-x-3 rtl:space-x-reverse">
            <svg xmlns="http://www.w3.org/2000/svg" width="51" height="38" viewBox="0 0 51 38" fill="none">
              <g clipPath="url(#clip0_292_7167)">
                <path d="M47.1186 13.7265L36.4608 4.20232C34.7875 2.84618 32.6896 2.13483 30.543 2.19575L8.49274 4.18536C8.07488 4.19708 7.66607 4.31071 7.30134 4.5165C6.9366 4.72229 6.62682 5.01411 6.39852 5.36696C6.17022 5.71982 6.03021 6.12318 5.9905 6.5425C5.95078 6.96181 6.01254 7.38458 6.17048 7.77458L6.20974 7.91023L5.23372 8.09676C4.82104 8.15296 4.42782 8.30833 4.08722 8.54977C3.74663 8.79121 3.46864 9.11163 3.27671 9.48403C3.08478 9.85643 2.98453 10.2699 2.98442 10.6895C2.98431 11.1091 3.08433 11.5226 3.27606 11.8951L3.94357 13.4325L1.80642 14.2578C1.4096 14.3878 1.0497 14.6122 0.757196 14.912C0.464691 15.2119 0.248189 15.5783 0.12602 15.9804C0.00385081 16.3824 -0.0203885 16.8082 0.055354 17.2216C0.131096 17.6351 0.304591 18.0241 0.561149 18.3557L12.4529 36.0757C12.6928 36.4465 13.0076 36.7621 13.3769 37.0018C13.7462 37.2415 14.1615 37.3998 14.5958 37.4665C15.03 37.5332 15.4733 37.5068 15.8967 37.3888C16.3201 37.2709 16.714 37.0642 17.0526 36.7822L33.6562 23.3693L37.4649 21.2666L46.5576 17.3552C48.2404 16.6148 48.5209 14.9813 47.1186 13.7265Z" fill="white" />
                <path opacity="0.3" d="M0.560935 18.3557C0.304783 18.0222 0.132394 17.6313 0.0584461 17.2162C-0.0155015 16.8012 0.0111822 16.3743 0.136225 15.9718C0.261269 15.5694 0.480968 15.2034 0.776617 14.9049C1.07227 14.6065 1.43511 14.3845 1.83425 14.2577L22.6897 6.25407C24.7514 5.59395 26.9782 5.68802 28.9778 6.51973L41.8792 12.7373C43.562 13.5568 43.764 15.2017 42.2887 16.3887L17.0467 36.7765C16.7082 37.0585 16.3143 37.2652 15.8909 37.3831C15.4675 37.5011 15.0242 37.5275 14.59 37.4608C14.1557 37.3941 13.7404 37.2358 13.3711 36.9961C13.0018 36.7564 12.6869 36.4408 12.4471 36.07L0.560935 18.3557Z" fill="#CF3339" />
                <path opacity="0.4" d="M3.29262 11.895C3.10089 11.5225 3.00086 11.109 3.00098 10.6893C3.00109 10.2697 3.10134 9.85628 3.29327 9.48388C3.4852 9.11149 3.76319 8.79106 4.10378 8.54962C4.44438 8.30818 4.83759 8.15281 5.25027 8.09661L27.0089 3.95912C29.1371 3.67814 31.2951 4.17115 33.095 5.34959L44.5941 13.7772C46.1142 14.9076 46.0076 16.5412 44.3641 17.4512L16.1997 32.9894C15.8192 33.2061 15.3973 33.3388 14.962 33.3788C14.5267 33.4188 14.088 33.3652 13.6748 33.2214C13.2617 33.0776 12.8835 32.8471 12.5655 32.5449C12.2475 32.2428 11.9968 31.876 11.83 31.4689L3.29262 11.895Z" fill="#CF3339" />
                <path opacity="0.5" d="M6.1704 7.77458C6.0129 7.38588 5.95093 6.96459 5.98978 6.54656C6.02864 6.12854 6.16716 5.72617 6.39356 5.3737C6.61995 5.02124 6.92752 4.72912 7.29007 4.52221C7.65262 4.31531 8.05942 4.19974 8.47584 4.18536L30.5429 2.19575C32.6895 2.13483 34.7874 2.84618 36.4608 4.20232L47.1185 13.7265C48.5208 14.9813 48.2404 16.6148 46.5576 17.3552L17.0357 30.0447C16.6354 30.2219 16.2024 30.3118 15.7651 30.3083C15.3279 30.3048 14.8964 30.208 14.4989 30.0243C14.1015 29.8406 13.7472 29.5742 13.4593 29.2426C13.1714 28.9109 12.9565 28.5216 12.8287 28.1003L6.1704 7.77458Z" fill="#CF3339" />
                <path d="M10.7308 3.71046C10.631 3.30271 10.6308 2.87669 10.73 2.46882C10.8293 2.06096 11.0251 1.68339 11.3008 1.36841C11.5764 1.05343 11.9237 0.810424 12.3128 0.660166C12.702 0.509907 13.1215 0.456873 13.5354 0.505598L35.625 1.90737C37.7634 2.16681 39.7411 3.18227 41.2062 4.77309L50.3438 15.8064C51.5498 17.259 51.0562 18.836 49.222 19.3108L18.2192 27.3767C17.7958 27.4896 17.3535 27.5112 16.9212 27.4402C16.4889 27.3691 16.0763 27.2069 15.7105 26.9641C15.3447 26.7214 15.0338 26.4036 14.7982 26.0315C14.5626 25.6594 14.4075 25.2414 14.3432 24.8049L10.7308 3.71046Z" fill="#CF3339" />
                <path d="M17.3554 9.46451C17.3459 9.36017 17.3602 9.25504 17.3972 9.1571C17.4341 9.05916 17.4927 8.97099 17.5685 8.89928C17.7287 8.77464 17.9272 8.71063 18.1294 8.71841C18.2798 8.71663 18.4295 8.73954 18.5726 8.78624L18.8362 8.87667V12.6355L19.6327 11.8385L20.6088 10.8776C20.9341 10.5554 21.2482 10.2558 21.5399 9.97322C21.8316 9.6906 22.056 9.48712 22.2186 9.34581C22.3966 9.18578 22.5839 9.03667 22.7796 8.89928C22.9646 8.77834 23.1818 8.71721 23.4022 8.72406C23.6324 8.71561 23.8596 8.77876 24.0529 8.90493C24.1745 8.98475 24.2841 9.08184 24.3782 9.1932C24.339 9.23842 24.2324 9.34581 24.0529 9.50973L23.4303 10.1089C23.1891 10.3463 22.9254 10.6006 22.6281 10.8776C22.3308 11.1546 22.0672 11.4428 21.7643 11.6972L20.9678 12.4659C20.7266 12.7089 20.519 12.9068 20.362 13.0311C21.1959 13.8224 21.9774 14.6232 22.7067 15.4333C23.4149 16.2385 24.0743 17.086 24.6811 17.9712H22.8581C22.6393 17.6943 22.3757 17.3721 22.0672 17.0103C21.7587 16.6486 21.4277 16.2699 21.0687 15.8799C20.7097 15.4899 20.3451 15.1112 19.9469 14.7494C19.5486 14.3877 19.1896 14.0372 18.825 13.732V17.9825H17.3554V9.46451Z" fill="white" />
                <path d="M28.2653 10.1938H25.758C25.6586 10.2097 25.557 10.202 25.4611 10.1712C25.3653 10.1405 25.2779 10.0876 25.2059 10.0167C25.134 9.94586 25.0795 9.85905 25.0468 9.76319C25.0141 9.66733 25.0041 9.5651 25.0175 9.46465C25.0162 9.30668 25.0428 9.14972 25.0961 9.00116C25.1233 8.90498 25.1609 8.81211 25.2083 8.7242H32.3602C32.4591 8.70928 32.5601 8.71775 32.6552 8.74894C32.7503 8.78013 32.837 8.83318 32.9082 8.9039C32.9795 8.97463 33.0335 9.06108 33.0659 9.15644C33.0983 9.2518 33.1083 9.35344 33.095 9.45335C33.0967 9.61044 33.074 9.76683 33.0277 9.91683C33.0018 10.0144 32.9621 10.1077 32.9099 10.1938H29.7574V17.9714H28.2653V10.1938Z" fill="white" />
                <path d="M40.662 17.3553C40.5723 17.4231 40.4432 17.5079 40.2862 17.6096C40.0899 17.7233 39.8833 17.8179 39.6692 17.8922C39.3861 17.9931 39.0953 18.0706 38.7997 18.124C38.4291 18.1873 38.0537 18.2175 37.6778 18.2144C37.0707 18.2221 36.4675 18.1147 35.8997 17.8979C35.3573 17.6921 34.8614 17.3788 34.4413 16.9766C34.006 16.5505 33.6657 16.0361 33.4428 15.4674C33.1928 14.8037 33.0747 14.0969 33.095 13.3873C33.0836 12.6797 33.2034 11.9762 33.4484 11.3129C33.6673 10.7376 33.9992 10.2127 34.4244 9.76986C34.8373 9.35143 35.332 9.02419 35.8772 8.80897C36.4401 8.58705 37.0398 8.47577 37.6442 8.48114C38.1407 8.46824 38.6367 8.52145 39.1194 8.6394C39.4423 8.72154 39.7494 8.85716 40.0282 9.04071C40.2192 9.16346 40.3788 9.33003 40.4937 9.52681C40.5694 9.64966 40.6137 9.78947 40.6227 9.93378C40.6232 10.0502 40.6003 10.1656 40.5554 10.2729C40.5126 10.3751 40.458 10.4718 40.3928 10.5612C40.3346 10.6427 40.2689 10.7184 40.1964 10.7873C40.1437 10.839 40.0854 10.8845 40.0225 10.9229C39.9193 10.8027 39.8047 10.6929 39.6804 10.5951C39.5171 10.4712 39.3424 10.3633 39.1587 10.2729C38.9404 10.1695 38.7132 10.0863 38.48 10.0242C38.2145 9.95427 37.941 9.92006 37.6666 9.92247C37.2583 9.91863 36.8535 9.99943 36.4774 10.1599C36.112 10.3143 35.786 10.55 35.5239 10.8495C35.2446 11.1684 35.0293 11.5388 34.89 11.9403C34.7311 12.4057 34.6533 12.8953 34.66 13.3873C34.6488 13.883 34.7326 14.3763 34.9068 14.84C35.0503 15.2354 35.2782 15.5943 35.5743 15.8913C35.8591 16.1751 36.2017 16.3931 36.5784 16.53C36.9751 16.6776 37.3953 16.7504 37.8181 16.7448C38.2798 16.7576 38.7399 16.6848 39.1755 16.53C39.4708 16.4322 39.7518 16.2954 40.0113 16.1231L40.6732 17.3553H40.662Z" fill="white" />
              </g>
              <defs>
                <clipPath id="clip0_292_7167">
                  <rect width="51" height="37" fill="white" transform="translate(0 0.5)" />
                </clipPath>
              </defs>
            </svg>
          </Link>
          {/* {
            navbar?.map((menu) => (
              <div key={menu.name} className='text-gray-300 text-sm text-center pt-1' >{menu.name}</div>
            )
            )
          }
          <div className='grid grid-cols-2 gap-4'>
            <button type="button" className="focus:outline-none text-white bg-red-700 hover:bg-red-800 rounded-md text-sm px-5 py-1">สมัครบัตร</button>
            <button type="button" className="border border-gray-300 focus:outline-none text-white bg-none rounded-md text-sm px-5 py-1">เข้าสู่ระบบ</button>
          </div> */}

        </div>
      </nav>

    </>
  )
}

export default Navbar
